variables:
  REPORT_FILENAME: gl-sast-report.json
  MAX_IMAGE_SIZE_MB: 204
  MAX_SCAN_DURATION_SECONDS: 100

include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/analyzer.yml

go-qa:
  extends: .qa-downstream-sast
  variables:
    SAST_REPORT_URL: "$CI_PROJECT_URL/raw/$CI_COMMIT_REF_NAME/qa/expect/go/gl-sast-report.json"
  trigger:
    project: gitlab-org/security-products/tests/go

go-gosec-customruleset-config-qa:
  extends: .qa-downstream-sast
  variables:
    SAST_REPORT_URL: "$CI_PROJECT_URL/raw/$CI_COMMIT_REF_NAME/qa/expect/gosec-custom-ruleset/gl-sast-report.json"
  trigger:
    project: gitlab-org/security-products/tests/go
    branch: Custom-Ruleset-FREEZE

go-gosec-customruleset-raw-config-qa:
  extends: .qa-downstream-sast
  variables:
    SAST_REPORT_URL: "$CI_PROJECT_URL/raw/$CI_COMMIT_REF_NAME/qa/expect/gosec-custom-ruleset/gl-sast-report.json"
  trigger:
    project: gitlab-org/security-products/tests/go
    branch: Custom-Ruleset-Raw-FREEZE

go-modules-qa:
  extends: .qa-downstream-sast
  variables:
    DS_DEFAULT_ANALYZERS: ""
    SAST_REPORT_URL: "$CI_PROJECT_URL/raw/$CI_COMMIT_REF_NAME/qa/expect/go-modules/gl-sast-report.json"
  trigger:
    project: gitlab-org/security-products/tests/go-modules
